#!/lusr/bin/bash

# This script runs the simspark soccer simulator and an agent 

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/projects/agents2/villasim/rcss3D/server/lib/simspark/
export DISPLAY=benayoun:0

echo "My parameters: "
cat $1
echo

while test `find /tmp/simspark-condor -mmin -1`
do 
  # wait for either the file to disappear or for it to grow older
  # than 1 minute
  echo "Waiting"
  sleep 5
done  

touch /tmp/simspark-condor

killall -9 agentspark

echo -n "It is: "
date
echo -n "and I am on: "
hostname

/projects/agents2/villasim/rcss3D/server/bin/simspark &
PID=$!

sleep 2

/u/yinon/kickagent/agentspark --unum 2 --experimentin $1 --experimentout $2 & 
AGENTPID=$!
sleep 1
perl /u/yinon/kickagent/beamball-and-kickoff.pl -0.5 0 0 #force a kickoff


sleep 10
echo "Killing Simulator"
kill -s 2 $PID
echo "Killing Agent"
kill -s 2 $AGENTPID

sleep 2
echo "Finished"

rm /tmp/simspark-condor
