#ifndef VISIONSENSE_H
#define VISIONSENSE_H

#include <vector>
#include "headers.h"
#include "vecposition.h"
#include "hctmatrix.h"


struct VisionSense{

  vector<VecPosition> flagPolar;
  vector<VecPosition> goalPostPolar;

  VecPosition ballPolar;

  vector<VecPosition> teammatePolar;
  vector<VecPosition> opponentPolar;

  VisionSense(){
    
    for(int i = 0; i < FLAG_NUM; ++i){
      flagPolar.push_back(VecPosition(1.0, 0, 0));
    }

    for(int i = 0; i < GOALPOST_NUM; ++i){
      goalPostPolar.push_back(VecPosition(1.0, 0, 0));
    }

    ballPolar = VecPosition(1.0, 0, 0);
    
    /*    for(int i = 0; i <= TEAMMATE_NUM; ++i){
      teammatePolar.push_back(VecPosition(1.0, 0, 0));
    }

    for(int i = 0; i <= OPPONENT_NUM; ++i){
      opponentPolar.push_back(VecPosition(1.0, 0, 0));
    }
    */

  }

  void display();
};

#endif // VISIONSENSE_H

