#ifndef _VISION_OBJECT_H
#define _VISION_OBJECT_H


#include "vecposition.h"

struct VisionObject {

  VisionObject( double r, double theta, double phi, int id_ ) {
    polar.setX( r );
    polar.setY( theta );
    polar.setZ( phi );
    id = id_;
  } 
  
  VisionObject() {
    polar.setVecPosition( 0, 0, 0 );
    id = -1;
  }

  VecPosition polar;
  int id; // unique id for all objects that can ever be seen

};

#endif
