#!/usr/bin/env python

# Harness for policy gradient code -- generates a policy
# based on previous iteration (or initial policy) and 
# then generates random policies for next iteration

import sys
import os

basedir = sys.argv[1] + '/'
curiter = int(sys.argv[2])
numpolicies = int(sys.argv[3])

mydir = os.path.dirname(os.path.abspath(__file__))

eval_script = mydir+'/evaluate_policy.py'
generate_script = mydir+'/generate_random_policies.py'

# call evaluate_policy(basedir, curiter, numpolicies)
os.system("python " + eval_script + " " + basedir + " " + str(curiter) + " " + str(numpolicies))

# call generate_random_policies(basedir, curiter+1, numpolicies)
os.system("python " + generate_script + " " + basedir + " " + str(curiter+1) + " " + str(numpolicies))


