import sys
import cPickle
import math
basedir = sys.argv[1] + '/'
curiter=int(sys.argv[2])
numpolicies= int(sys.argv[3])

neta = 1

file = open(basedir+"finalpolicy_"+str(curiter)+".txt","w");
if curiter == 0:
	params = {
	  'agent2beamX':-0.718,
	  'agent2beamY':-0.125, 
	  'agent2beamAngle':5.2,     
	  'returnKickScale':1.0,     
	  'forwardKickScaleLL1':1.0, 
	  'forwardKickScaleLL2':1.0,  
	  'forwardKickScaleLL3':1.0,  
	  'forwardKickScaleLL4':1.0,  
	  'forwardKickScaleLL5':1.0,  
	  'forwardKickScaleLL6':1.0,  
	  'targetHeight':0.0,         
	  'angleAtKick':1.0    
	} 

	par ="\n".join(["%s\t%s" % (k, v) for k, v in params.items()])
	file.write(par);
	file.close()
else:
	
	file1 = open(basedir+'randompolicy_cluster_'+str(curiter)+'.txt',"r")
	clusterlist = cPickle.load(file1);
	file1.close()
	
	score=[]
	
	
	map = {
	  'agent2beamX':0,
	  'agent2beamY':1, 
	  'agent2beamAngle':2,     
	  'returnKickScale':3,     
	  'forwardKickScaleLL1':4, 
	  'forwardKickScaleLL2':5,  
	  'forwardKickScaleLL3':6,  
	  'forwardKickScaleLL4':7,  
	  'forwardKickScaleLL5':8,  
	  'forwardKickScaleLL6':9,  
	  'targetHeight':10,         
	  'angleAtKick':11    
	}      


	for i in range(numpolicies):
		file1=open(basedir+"value_"+str(curiter)+"_i_"+str(i)+".txt","r")
		score.append(float(file1.read()))
		file1.close()

	avgvec = [[[] for i in range(len(clusterlist[0]))] for j in range(3)]
	avgn = []
	for i in range(len(clusterlist[0])):
		sum=[0,0,0]
		numelem=[0,0,0]
		for j in range(3):
			for k in clusterlist[j][i]:
				sum[j]=sum[j] + score[k]
				numelem[j]=numelem[j]+1
			if numelem[j]!=0:
				avgvec[j][i].append(sum[j]/numelem[j])
			else:
				avgvec[j][i].append(0)
		if ((avgvec[0][i])[0]>(avgvec[1][i])[0] and (avgvec[0][i])[0]>(avgvec[2][i])[0]):
			avgn.append(0)
		else:
			avgn.append((avgvec[1][i])[0]-(avgvec[2][i])[0])
	
	mag=0;
	for i in range(len(avgn)):
		mag = mag + (avgn[i]*avgn[i])
	
	mag = math.sqrt(mag)

	for i in range(len(avgn)):
		avgn[i]=((avgn[i])/mag)*neta

	basepolicyfile = open(basedir+'finalpolicy_'+str(curiter-1)+'.txt',"r")
	basepolicyf = basepolicyfile.read()
	temp=basepolicyf.split("\n")
	basepolicyfile.close()
	basepolicy={}
	for i in range(len(temp)):
		k=temp[i].split('\t')[0]
		basepolicy[k]=float(temp[i].split('\t')[1])+avgn[map[k]];

	par ="\n".join(["%s\t%s" % (k, v) for k, v in basepolicy.items()])
	file.write(par);
	file.close()
	
